
/* Pac-Man for Terminals */

#include <stdlib.h>
#include <unistd.h>
#include <sys/time.h>
#include "clock.h"

unsigned int clock_ad=0;

static unsigned int start_of_time=0;

unsigned int Clock(void)
{
    struct timeval t;

    gettimeofday(&t,NULL);
    if (start_of_time==0) start_of_time=t.tv_sec-1;
    return ((t.tv_sec-start_of_time)*CLOCKS_PER_SEC)+(t.tv_usec*CLOCKS_PER_SEC)/1000000 - clock_ad;
}

unsigned int Clock_unad(void)
{
    struct timeval t;

    gettimeofday(&t,NULL);
    if (start_of_time==0) start_of_time=t.tv_sec-1;
    return ((t.tv_sec-start_of_time)*CLOCKS_PER_SEC)+(t.tv_usec*CLOCKS_PER_SEC)/1000000;
}

/* ======================================================================== */
/*  Please see the file "COPYING" for the complete GNU GPL License.         */
/*                                                                          */
/*  This program is free software; you can redistribute it and/or modify    */
/*  it under the terms of the GNU General Public License as published by    */
/*  the Free Software Foundation; either version 2 of the License, or       */
/*  (at your option) any later version.                                     */
/*                                                                          */
/*  This program is distributed in the hope that it will be useful,         */
/*  but WITHOUT ANY WARRANTY; without even the implied warranty of          */
/*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU       */
/*  General Public License for more details.                                */
/*                                                                          */
/*  You should have received a copy of the GNU General Public License       */
/*  along with this program; if not, write to the Free Software             */
/*  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.               */
/* ======================================================================== */
/*                 Copyright (c) 1995-2000, Joseph Zbiciak                  */
/* ======================================================================== */
