/* Pac-Man for Terminals */

#ifndef _KEYBD_H_
#define _KEYBD_H_

extern int keybd, old_kbd_flags;
extern struct termios old_kbd_termio, kbd_termio;

void restorekbd(void);
void initkbd(void);
void die(int s);
void flushkbd(void);
int readkbd(char *c);
void sync_via_rcp(void);
int parse_key(void);

enum { NO_SYNC=0, BG_SYNC, HARD_SYNC, SOFT_SYNC, KITCHEN_SYNC };

#define MAXQUEUE 15
extern int kq,keyqueue[MAXQUEUE];
extern const char *keys;
extern int sync_type, rcv_sync;

#endif /* _KEYBD_H_ */
/* ======================================================================== */
/*  Please see the file "COPYING" for the complete GNU GPL License.         */
/*                                                                          */
/*  This program is free software; you can redistribute it and/or modify    */
/*  it under the terms of the GNU General Public License as published by    */
/*  the Free Software Foundation; either version 2 of the License, or       */
/*  (at your option) any later version.                                     */
/*                                                                          */
/*  This program is distributed in the hope that it will be useful,         */
/*  but WITHOUT ANY WARRANTY; without even the implied warranty of          */
/*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU       */
/*  General Public License for more details.                                */
/*                                                                          */
/*  You should have received a copy of the GNU General Public License       */
/*  along with this program; if not, write to the Free Software             */
/*  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.               */
/* ======================================================================== */
/*                 Copyright (c) 1995-2000, Joseph Zbiciak                  */
/* ======================================================================== */
